Bug 629027 - Review Request: python-ZODB3 - Zope Object Database: Object Database and Persistence
Review Request: python-ZODB3 - Zope Object Database: Object Database and Pers...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chen Lei
Fedora Extras Quality Assurance
:
: 476600 (view as bug list)
Depends On: 629014
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-31 14:02 EDT by Robin Lee
Modified: 2011-04-24 21:19 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-ZODB3-3.10.0-0.3.b6.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-10 23:19:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
supercyper1: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2010-08-31 14:02:21 EDT
Spec URL: http://cheeselee.fedorapeople.org/python-ZODB3.spec
SRPM URL: http://cheeselee.fedorapeople.org/python-ZODB3-3.10.0-0.1.b4.fc13.src.rpm
Description:
The Zope Object Database provides an object-oriented database for Python
that provides a high-degree of transparency. Applications can take
advantage of object database features with few, if any, changes to
application logic. ZODB includes features such as a pluggable storage
interface, rich transaction support, and undo.

rpmlint results:
$ rpmlint ./python-ZODB3.spec 
./python-ZODB3.spec: W: no-cleaning-of-buildroot %clean
./python-ZODB3.spec: W: no-buildroot-tag
./python-ZODB3.spec: W: no-%clean-section
0 packages and 1 specfiles checked; 0 errors, 3 warnings.

$ rpmlint ./python-ZODB3-3.10.0-0.1.b4.fc13.src.rpm 
python-ZODB3.src: W: spelling-error Summary(en_US) Zope -> Zoe, Ope, Nope
python-ZODB3.src: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
python-ZODB3.src: W: no-cleaning-of-buildroot %clean
python-ZODB3.src: W: no-buildroot-tag
python-ZODB3.src: W: no-%clean-section
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

$ rpmlint ./python-ZODB3-3.10.0-0.1.b4.fc13.i686.rpm 
python-ZODB3.i686: W: spelling-error Summary(en_US) Zope -> Zoe, Ope, Nope
python-ZODB3.i686: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
python-ZODB3.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/BTrees/_IIBTree.so _IIBTree.so
python-ZODB3.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/persistent/cPickleCache.so cPickleCache.so
python-ZODB3.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/BTrees/_LFBTree.so _LFBTree.so
python-ZODB3.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/persistent/TimeStamp.so TimeStamp.so
python-ZODB3.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/BTrees/_LOBTree.so _LOBTree.so
python-ZODB3.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/BTrees/_OOBTree.so _OOBTree.so
python-ZODB3.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/BTrees/_OIBTree.so _OIBTree.so
python-ZODB3.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/persistent/cPersistence.so cPersistence.so
python-ZODB3.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/BTrees/_LLBTree.so _LLBTree.so
python-ZODB3.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/BTrees/_OLBTree.so _OLBTree.so
python-ZODB3.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/BTrees/_fsBTree.so _fsBTree.so
python-ZODB3.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/BTrees/_IFBTree.so _IFBTree.so
python-ZODB3.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/BTrees/_IOBTree.so _IOBTree.so
python-ZODB3.i686: W: no-manual-page-for-binary fstail
python-ZODB3.i686: W: no-manual-page-for-binary runzeo
python-ZODB3.i686: W: no-manual-page-for-binary zeoctl
python-ZODB3.i686: W: no-manual-page-for-binary zeopasswd
python-ZODB3.i686: W: no-manual-page-for-binary fsdump
python-ZODB3.i686: W: no-manual-page-for-binary zeopack
python-ZODB3.i686: W: no-manual-page-for-binary fsrefs
python-ZODB3.i686: W: no-manual-page-for-binary repozo
python-ZODB3.i686: W: no-manual-page-for-binary fsoids
1 packages and 0 specfiles checked; 0 errors, 24 warnings.

$ rpmlint ../noarch/python-ZODB3-devel-3.10.0-0.1.b4.fc13.noarch.rpm 
python-ZODB3-devel.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ./python-ZODB3-debuginfo-3.10.0-0.1.b4.fc13.i686.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Robin Lee 2010-08-31 14:03:01 EDT
*** Bug 476600 has been marked as a duplicate of this bug. ***
Comment 2 Chen Lei 2010-09-04 03:09:26 EDT
1.
# deal with header files
for MOD in BTrees persistent; do
  mkdir -p $RPM_BUILD_ROOT%{_includedir}/python%{py_ver}/$MOD/
  mv $RPM_BUILD_ROOT%{python_sitearch}/$MOD/*.h \
     $RPM_BUILD_ROOT%{_includedir}/python%{py_ver}/$MOD/
done

It seems those header files are useless and can be deleted as the *.c files.

2. 
I suggest to remove all lines which are useless for F13+.

%include %{_rpmconfigdir}/macros.python
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

3.

for script in src/{ZODB,ZEO}/{zeoctl.py,scripts/{*.py,*/*.py}}; do
  if head -n 1 "$script" | grep -q '#!'; then
    sed -i '1,1d' "$script"
  fi
done

It seems the below lines is bit complicated, there are some other simple alternatives available in packgaing trick. 


https://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_files
Comment 3 Robin Lee 2010-09-04 03:53:03 EDT
Oh, I forgot to upload the later Spec! The one and two points were done in the above release.

3.10.0-0.2.b5

Spec URL: http://cheeselee.fedorapeople.org/python-ZODB3.spec
SRPM URL:
http://cheeselee.fedorapeople.org/python-ZODB3-3.10.0-0.2.b5.fc13.src.rpm

Changes:
- Update to 3.10.0b5
- Use recommended commands to remove shebangs
- Requires python-setuptools, which is used by generated scripts
Comment 4 Chen Lei 2010-09-09 04:53:00 EDT
1.find $RPM_BUILD_ROOT \( -name '*.c' -o -name '*.h' \) -type f -print0 | xargs -0 rm -fv

->
find $RPM_BUILD_ROOT/%{python_sitearch \( -name '*.c' -o -name '*.h' \) -type f -print0 | xargs -0 rm -fv

You should not remove the header files in %{_includedir}

2.

Please remove unless comment in spec, e.g.
#for File in src/{ZODB,ZEO}/{zeoctl.py,scripts/{*.py,*/*.py}}; do
Comment 5 Robin Lee 2010-09-09 05:07:34 EDT
3.10.0-0.3.b6

Spec URL: http://cheeselee.fedorapeople.org/python-ZODB3.spec
SRPM URL:
http://cheeselee.fedorapeople.org/python-ZODB3-3.10.0-0.3.b6.fc13.src.rpm

Changes:
- Update to 3.10.0b6
- An unused line of comment removed
- A deeper path used in the find command
Comment 6 Chen Lei 2010-09-10 08:11:12 EDT
Approved!
Comment 7 Robin Lee 2010-09-10 08:49:44 EDT
New Package SCM Request
=======================
Package Name: python-ZODB3
Short Description: Zope Object Database: Object Database and Persistence
Owners: cheeselee
Branches: f14 el6
InitialCC:
Comment 8 Kevin Fenzi 2010-09-10 14:49:34 EDT
Git done (by process-git-requests).
Comment 9 Robin Lee 2011-04-18 13:41:50 EDT
Request Unretiring devel, f15 and el6 branches.
Comment 10 Jason Tibbitts 2011-04-18 14:04:30 EDT
I'm confused; it appears that you just retired this package yesterday.  What's going on?
Comment 11 Robin Lee 2011-04-18 14:12:12 EDT
(In reply to comment #10)
> I'm confused; it appears that you just retired this package yesterday.  What's
> going on?

But soon Jerry James asked for ownership of this package. I should have orphaned it first. I'm sorry.
Comment 12 Jason Tibbitts 2011-04-19 14:10:37 EDT
That does not actually explain what is going on.

Perhaps you could simply tell me which branches should exist after I do whatever it is you're asking me to do, and who should own them.
Comment 13 Robin Lee 2011-04-19 22:40:49 EDT
(In reply to comment #12)
> That does not actually explain what is going on.
> 
> Perhaps you could simply tell me which branches should exist after I do
> whatever it is you're asking me to do, and who should own them.

Branches: devel f15 el6
Owners: jjames
Comment 14 Jason Tibbitts 2011-04-24 14:19:00 EDT
Well, I've unretired those branches and set him as the owner.  You didn't tell me what to do with the existing f14 branch, though I assume if you didn't want it you'd either orphan or retire it so I just left it alone.  I'm not really sure why you don't seem to want to provide me with the information needed to take care of your request properly, but I've done the best I think I can do.
Comment 15 Robin Lee 2011-04-24 21:19:54 EDT
I am still maintaining the f14 branch so I didn't list it. After all, I was just expecting what you have done. I will do better next time. Thank you!

Note You need to log in before you can comment on or make changes to this bug.